Subject: bug#14829: (no subject)

From: martin rudalics <[email-masked]>
Date: Mon, 22 Jul 2013 19:37:07 +0200

> Hmm... looking at it further I see that:
 > - split-window-keep-point defaults to t.
 > - the problem could affect other cases than completion.
 > Basically, I'm leaning towards forcing split-window-keep-point to t in
 > display-buffer, since AFAICT a value of nil only makes sense when you
 > split a window into two so that they both show the same buffer, whereas
 > in the case of display-buffer, you always want the current buffer's
 > point to stay put.

With `inhibit-same-window' t one might want to show the same buffer in the
new window.

 > The docstring seems to indicate it's only meant to affect C-x 2 rather
 > than all cases where we create a new window.  Martin?

It happens because \\[split-window-below] gets substituted by C-x 2.

Why not declare `split-window-keep-point' obsolete and always keep
point?

martin